checks:
  - id: telegram_single_thread_rule
    description: Telegram must use only current DM thread; no legacy Gizmo thread.
    file: MEMORY.md
    mustContain:
      - "Use only the current Telegram DM thread for replies/reminders"
      - "do not route to any legacy/original Gizmo thread"

  - id: telegram_confirm_policy
    description: Non-reminder/non-memory-ingestion state changes require CONFIRM (with explicit Notion single-task exception).
    file: MEMORY.md
    mustContain:
      - "Reply CONFIRM to proceed."
      - "Execute non-reminder/non-memory-ingestion/non-individual-Notion-task state-changing commands only after receiving CONFIRM."

  - id: timezone_set
    description: Braden timezone is captured.
    file: MEMORY.md
    mustContain:
      - "**Timezone:** America/Los_Angeles"
